Page MenuHome

Hair particles: 'Use modifier Stack' option with simple children leads to texture disappearing in cycles [interpolated children are fine]
Confirmed, NormalPublicKNOWN ISSUE

Description

System Information
Operating system: Mint Tara
Graphics card: GTX 1080ti

Blender Version
Broken: 2.79 latest, 2.80 latest

Short description of error
The render engine can't read a texture while using the "use modifier stack" checkbox with simple children. Works fine with Interpolated or None.

Exact steps for others to reproduce the error
Open the attached blend file.
Set the viewport to render.
Activate the "use modifier stack" checkbox.
Texture disappears.

Event Timeline

Philipp Oeser (lichtwerk) lowered the priority of this task from 90 to 50.Jan 14 2019, 10:41 AM

Can confirm.

Not sure if T57922 is related (need to check)

Philipp Oeser (lichtwerk) renamed this task from Use modifier stack checked on simple hair children leads to texture disappearing to Hair particles: 'Use modifier Stack' option with simple children leads to texture disappearing in cycles [interpolated children are fine].Sep 4 2019, 1:45 PM

Same problem here on linux and OSX official builds for 2.80.

And I can confirm it's a Cycles related problem that doesn't show up with the EEVEE or Workbench render engines

Richard Antalik (ISS) closed this task as Resolved.Jan 22 2020, 7:35 PM
Richard Antalik (ISS) claimed this task.
Philipp Oeser (lichtwerk) reopened this task as Confirmed.Jan 22 2020, 8:52 PM
Philipp Oeser (lichtwerk) changed the subtype of this task from "Report" to "Known Issue".

Sorry to say, but not resolved.
Since particles are EOL and will replaced with a new system along with a new Hair Object Type, will set to "Known Issue".